// /services/webservice/fetchGisStationsMeasurementsService.js

export const fetchGisStationsMeasurementsService = async () => {
  const mode = process.env.NEXT_PUBLIC_API_PORT_MODE;
  const basePath = process.env.NEXT_PUBLIC_BASE_PATH || "";

  const baseUrl = mode === "dev" ? `${window.location.protocol}//${window.location.hostname}:80${basePath}/ClientData/WebServiceMap.asmx` : `${window.location.origin}${basePath}/ClientData/WebServiceMap.asmx`;

  const params = new URLSearchParams(window.location.search);
  const idMap = params.get("m");
  const idUser = params.get("u");

  const url = `${baseUrl}/GisStationsMeasurements?idMap=${idMap}&idUser=${idUser}`;
  console.log("📡 fetchGisStationsMeasurementsService URL:", url);

  const response = await fetch(url);

  if (!response.ok) {
    const message = `❌ Fehler: ${response.status} ${response.statusText}`;
    console.error(message);
    throw new Error(message);
  }

  const jsonResponse = await response.json();

  if (!jsonResponse?.Statis) {
    throw new Error("Antwortstruktur ungültig – 'Statis' fehlt");
  }

  return jsonResponse.Statis;
};
